%define module_version 0.02
%define module_name Template-Plugin-Lingua-EN-Numbers
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(IO/File.pm) perl(Lingua/EN/Numbers.pm) perl(Lingua/EN/Numbers/Ordinate.pm) perl(Lingua/EN/Numbers/Years.pm) perl(Template.pm) perl(Template/Plugin.pm) perl(Template/Stash.pm) perl(Template/Test.pm) perl(Test/More.pm) perl(base.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: TT2 interface to Lingua::EN::Numbers modules
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/B/BA/BARBIE/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
The *Lingua::EN::Numbers* Template Toolkit plugin provides access to the
Lingua::EN::Numbers, Lingua::EN::Numbers::Years and 
Lingua::EN::Numbers::Ordinate module functions, to translate number values to
their names.

When you invoke

  [%% USE Lingua.EN.Numbers %%]

the following filters (and vmethods of the same name) are installed
into the current context:

=over 4

=item `num2en'

Converts a number (such as 123) into English text (such as "one hundred and 
twenty-three").

=item `num2en_ordinal'

Converts a number into the ordinal form in words, so 54 becomes "fifty-fourth".

=item `year2en'

Converts a number (such as 1984) into English text (such as "nineteen 
eighty-four").

=item `ordinate'

Converts a number (such as 3) into ordinal form (such as "3rd").

=back
%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_privlib/T*

%changelog
* Mon Jan 05 2015 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- regenerated from template by package builder

* Mon Jun 23 2014 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

